b-row.border-dashed.pt-4
    b-col(cols="12" md="4")
        label.form__label
            | Periodicidad *
        ValidationProvider(name="Periodicidad" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.per_period"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="periodicityOptions"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Fecha de inicio *
        ValidationProvider(name="Fecha de inicio" v-slot="{ errors }" rules="required")
            b-form-datepicker(
                v-if="productType === 'FI'"
                v-model="operationData.per_start_date"
                :min="new Date()"
                :date-format-options="{ year: 'numeric', month: 'numeric', day: 'numeric' }"
                locale="es"
            )
            month-picker(
                v-else
                dateFormat="MM/YYYY"
                :min="minStartDate"
                :monthLabels="['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']"
                v-model="operationData.per_start_date"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Fecha fin
            span(v-if="selectedOperation.key !== 'APORTACION_PERIODICA'") *
        ValidationProvider(name="Fecha fin" v-slot="{ errors }" rules="required")
            month-picker(
                dateFormat="MM/YYYY"
                :min="minEndDate"
                :monthLabels="['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']"
                v-model="operationData.per_end_date"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Tipo de revalorización *
        ValidationProvider(name="Tipo de revalorización" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.per_increase_type"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="revaluationOptions"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Revalorización
        ValidationProvider(name="Revalorización" v-slot="{ errors }" rules="numeric")
            b-form-input(v-model="operationData.per_increase")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Periodicidad *
        ValidationProvider(name="Periodicidad" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.per_increase_period"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="periodicityIncreaseOptions"
            )
            .form__error {{ errors[0] }}